package com.seer.teach.teacher.resolver.impl;

import com.seer.teach.common.context.PromptContextHolder;
import com.seer.teach.teacher.resolver.PromptVariableResolver;
import org.springframework.stereotype.Component;

/**
 *
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-11-05 11:26
 */
@Component
public class LsofPointResolver implements PromptVariableResolver {
    @Override
    public String supportKey() {
        return "lsof_point";
    }

    @Override
    public String resolve() {
        return PromptContextHolder.get(PromptContextHolder.LOST_POINT).toString();
    }

}
